com.tibco.n2.service.adapter

## Class ServiceAdapterFactory

- java.lang.Object
- - com.tibco.n2.service.adapter.ServiceAdapterFactory

-     public class ServiceAdapterFactory
      extends java.lang.Object

  ServiceAdapterFactory exposes AMX BPM components and there underlying services
  - Business Resource Management (BRM)
  - Directory Engine (DE)
  - Calendar (DAC)
  - Work Presentation (WP)
  - Process Engine (PE)
  - Event Collector (EC)
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceAdapterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BDSComponent` | `getBDSServiceComponent()` Returns a connection to the Business Data Services (BDS) service.
    `BRMComponent` | `getBRMServiceComponent()` Returns a connection to the Business Resource Management (BRM) service.
    `BSComponent` | `getBSServiceComponent()` Returns a connection to the Business (BS) service.
    `DACComponent` | `getDACServiceComponent()` Returns a connection to the Calendar (DAC) service.
    `DEComponent` | `getDEServiceComponent()` Returns a connection to the Directory Engine (DE) service.
    `ECComponent` | `getECServiceComponent()` Returns a connection to the Event Collector (EC) service.
    `PEComponent` | `getPEServiceComponent()` Returns a PEComponent with underlying services
    `PFEComponent` | `getPFEServiceComponent()` Returns a connection to the PageFlow (PFE) service.
    `WPComponent` | `getWPServiceComponent()` Returns a connection to the Work Presentation (WP) service.
    `boolean` | `isBDSConnection()`
    `boolean` | `isBRMConnection()`
    `boolean` | `isBSConnection()`
    `boolean` | `isDACConnection()`
    `boolean` | `isDEConnection()`
    `boolean` | `isECConnection()`
    `boolean` | `isPFEConnection()`
    `boolean` | `isPMConnection()`
    `boolean` | `isWPConnection()`
    `protected void` | `setBDSServiceComponent(BDSComponent aValue)` Set the Business Data Services proxy.
    `protected void` | `setBRMServiceComponent(BRMComponent aValue)` Set the Business Resource Management service proxy
    `protected void` | `setBSServiceComponent(BSComponent aValue)` Set the Business service proxy.
    `protected void` | `setDACServiceComponent(DACComponent aValue)` Set the Calendar service proxy.
    `protected void` | `setDEServiceComponent(DEComponent aValue)` Set the Directory Engine service proxy.
    `void` | `setECServiceComponent(ECComponent aValue)`
    `void` | `setIsBDSConnection(boolean value)` Set if a connection to the Business Data Services service connection is required.
    `void` | `setIsBRMConnection(boolean value)` Set if a connection to the Business Resource Management service connection is required.
    `void` | `setIsBSConnection(boolean aValue)` Set if a Business Service connection is required.
    `void` | `setIsDACConnection(boolean value)` Set if a connection to the Calendar service connection is required.
    `void` | `setIsDEConnection(boolean value)` Set if a connection to the Directory Engine service connection is required.
    `void` | `setIsECConnection(boolean aValue)`
    `void` | `setIsPEConnection(boolean value)` Set if a connection to the Process Management service is required.
    `void` | `setIsPFEConnection(boolean aValue)` Set if a Page Flow service connection is required.
    `void` | `setIsWPConnection(boolean value)` Set if a Work Presentation service connection is required.
    `void` | `setPEServiceComponent(PEComponent aValue)`
    `protected void` | `setPFEServiceComponent(PFEComponent aValue)` Set the Page Flow service proxy.
    `protected void` | `setWPServiceComponent(WPComponent aValue)` Set the Work Presentation service proxy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceAdapterFactory

          public ServiceAdapterFactory()

  - ### Method Detail

    - #### getBRMServiceComponent

          public BRMComponent getBRMServiceComponent()
                                              throws java.lang.RuntimeException

      Returns a connection to the Business Resource Management (BRM) service.
      Returns:
        Returns a BRMComponent object.
      Throws:
        `java.lang.RuntimeException`

    - #### getWPServiceComponent

          public WPComponent getWPServiceComponent()
                                            throws java.lang.RuntimeException

      Returns a connection to the Work Presentation (WP) service.
      Returns:
        Returns a WPComponent object.
      Throws:
        `java.lang.RuntimeException`

    - #### getPEServiceComponent

          public PEComponent getPEServiceComponent()
                                            throws java.lang.RuntimeException

      Returns a PEComponent with underlying services
      Returns:
      Throws:
        `java.lang.RuntimeException`

    - #### getDEServiceComponent

          public DEComponent getDEServiceComponent()
                                            throws java.lang.RuntimeException

      Returns a connection to the Directory Engine (DE) service.
      Returns:
        Returns a DEComponent object.
      Throws:
        `java.lang.RuntimeException`

    - #### getECServiceComponent

          public ECComponent getECServiceComponent()
                                            throws java.lang.RuntimeException

      Returns a connection to the Event Collector (EC) service.
      Returns:
        returns a ECComponent
      Throws:
        `java.lang.RuntimeException`

    - #### getDACServiceComponent

          public DACComponent getDACServiceComponent()
                                              throws java.lang.RuntimeException

      Returns a connection to the Calendar (DAC) service.
      Returns:
        returns a DACComponent
      Throws:
        `java.lang.RuntimeException`

    - #### getBDSServiceComponent

          public BDSComponent getBDSServiceComponent()
                                              throws java.lang.RuntimeException

      Returns a connection to the Business Data Services (BDS) service.
      Returns:
        returns a BDSComponent
      Throws:
        `java.lang.RuntimeException`

    - #### getPFEServiceComponent

          public PFEComponent getPFEServiceComponent()
                                              throws java.lang.RuntimeException

      Returns a connection to the PageFlow (PFE) service.
      Returns:
        returns a PFEComponent
      Throws:
        `java.lang.RuntimeException`

    - #### getBSServiceComponent

          public BSComponent getBSServiceComponent()
                                            throws java.lang.RuntimeException

      Returns a connection to the Business (BS) service.
      Returns:
        returns a BSComponent
      Throws:
        `java.lang.RuntimeException`

    - #### setBRMServiceComponent

          protected void setBRMServiceComponent(BRMComponent aValue)

      Set the Business Resource Management service proxy
      Parameters:
        `brmService` -

    - #### setWPServiceComponent

          protected void setWPServiceComponent(WPComponent aValue)

      Set the Work Presentation service proxy.
      Parameters:
        `wpService` -

    - #### setDEServiceComponent

          protected void setDEServiceComponent(DEComponent aValue)

      Set the Directory Engine service proxy.
      Parameters:
        `deService` -

    - #### setDACServiceComponent

          protected void setDACServiceComponent(DACComponent aValue)

      Set the Calendar service proxy.
      Parameters:
        `dacService` -

    - #### setECServiceComponent

          public void setECServiceComponent(ECComponent aValue)

      Parameters:
        `ecComponent` - The ecComponent to set.

    - #### setPEServiceComponent

          public void setPEServiceComponent(PEComponent aValue)

    - #### setPFEServiceComponent

          protected void setPFEServiceComponent(PFEComponent aValue)

      Set the Page Flow service proxy.
      Parameters:
        `pfeService` -

    - #### setBSServiceComponent

          protected void setBSServiceComponent(BSComponent aValue)

      Set the Business service proxy.
      Parameters:
        `bsService` -

    - #### setBDSServiceComponent

          protected void setBDSServiceComponent(BDSComponent aValue)

      Set the Business Data Services proxy.
      Parameters:
        `bdsService` -

    - #### setIsPEConnection

          public void setIsPEConnection(boolean value)

      Set if a connection to the Process Management service is required.
      Parameters:
        `value` -

    - #### setIsBRMConnection

          public void setIsBRMConnection(boolean value)

      Set if a connection to the Business Resource Management service connection is required.
      Parameters:
        `value` -

    - #### setIsDEConnection

          public void setIsDEConnection(boolean value)

      Set if a connection to the Directory Engine service connection is required.
      Parameters:
        `value` -

    - #### setIsDACConnection

          public void setIsDACConnection(boolean value)

      Set if a connection to the Calendar service connection is required.
      Parameters:
        `value` -

    - #### setIsBDSConnection

          public void setIsBDSConnection(boolean value)

      Set if a connection to the Business Data Services service connection is required.
      Parameters:
        `value` -

    - #### setIsWPConnection

          public void setIsWPConnection(boolean value)

      Set if a Work Presentation service connection is required.
      Parameters:
        `value` -

    - #### setIsECConnection

          public void setIsECConnection(boolean aValue)

      Parameters:
        `isConnectEC` - The isConnectEC to set.

    - #### setIsPFEConnection

          public void setIsPFEConnection(boolean aValue)

      Set if a Page Flow service connection is required.

    - #### setIsBSConnection

          public void setIsBSConnection(boolean aValue)

      Set if a Business Service connection is required.

    - #### isPMConnection

          public boolean isPMConnection()

    - #### isBRMConnection

          public boolean isBRMConnection()

    - #### isWPConnection

          public boolean isWPConnection()

    - #### isDEConnection

          public boolean isDEConnection()

    - #### isECConnection

          public boolean isECConnection()

      Returns:
        Returns the isConnectEC.

    - #### isDACConnection

          public boolean isDACConnection()

      Returns:
        Returns the isConnectDAC.

    - #### isBDSConnection

          public boolean isBDSConnection()

      Returns:
        Returns the isConnectBDS.

    - #### isPFEConnection

          public boolean isPFEConnection()

      Returns:
        Returns the isConnectPFE.

    - #### isBSConnection

          public boolean isBSConnection()

      Returns:
        Returns the isConnectBS.

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.